import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //客户端用户开通会员
    appuseropenVip(data) {
        return request({
            url: '/app/user/openVip', 
            method: 'post',
            data
        })
    },
    //通过手机查找客户端用户
    appuserfindByTel(data) {
        return request({
            url: '/app/user/findByTel', 
            method: 'post',
            data
        })
    },
    //批量注销会员
    appusercloseBatchVip(data) {
        return request({
            url: '/app/user/closeBatchVip', 
            method: 'post',
            data
        })
    },
    //批量恢复会员
    appuserrestoreBatchVip(data) {
        return request({
            url: '/app/user/restoreBatchVip', 
            method: 'post',
            data
        })
    },
    //批量会员充值
    appuserrechargeBatchVip(data) {
        return request({
            url: '/app/user/rechargeBatchVip', 
            method: 'post',
            data
        })
    },
    //会员用户列表
    appuservipUserList(data) {
        return request({
            url: '/app/user/vipUserList',
            method: 'get',
            params: data
        })
    },
    //会员用户列表导出
    appuserlistExport(data) {
        return request({
            url: '/app/user/listExport',
            method: 'get',
            params: data
        })
    },
}